namespace PkmnLib.Plugin.Gen7.Scripts.Moves;

[Script(ScriptCategory.Move, "false_swipe")]
public class FalseSwipe : Script, IScriptChangeMoveDamage
{
    /// <inheritdoc />
    public void ChangeMoveDamage(IExecutingMove move, IPokemon target, byte hit, ref uint damage)
    {
        if (target.CurrentHealth - damage < 1)
        {
            damage = target.CurrentHealth - 1;
        }
    }
}